List Brands
curl --request GET \
--url https://{cluster}.voucherify.io/management/v1/projects/{projectId}/branding \
--header 'X-Management-Id: <api-key>' \
--header 'X-Management-Token: <api-key>'{
"object": "list",
"data_ref": "data",
"data": [
{
"id": "brd_0E603421F0a2fL1814",
"brand": {
"name": "Voucherify PSA",
"privacy_policy_url": null,
"terms_of_use_url": null,
"permission_reminder": "You are receiving this email because you opted in at our website.",
"website_url": "voucherify.io"
},
"address": {
"street": "Porcelanowa 23",
"city": "Katowice",
"postal": "40-246",
"state": null,
"country": "Poland"
},
"contact": {
"email": "support@voucherify.io",
"phone": null
}
}
],
"total": 1
}{
"code": 401,
"message": "Unauthorized",
"key": "unauthorized"
}{
"code": 402,
"message": "Payment required",
"details": "Your current plan does not include a feature required to perform this operation.",
"key": "missing_required_feature"
}{
"code": 404,
"message": "Resource not found",
"details": "Cannot find project with id proj_5itvDU7"
}List Brands
Lists all brand configurations.
Because a project can have only one brand, it always returns a list with one item.
This endpoint can be used to retrieve the brand configuration created with the Voucherify Dashboard and the ID.
GET
/
management
/
v1
/
projects
/
{projectId}
/
branding
List Brands
curl --request GET \
--url https://{cluster}.voucherify.io/management/v1/projects/{projectId}/branding \
--header 'X-Management-Id: <api-key>' \
--header 'X-Management-Token: <api-key>'{
"object": "list",
"data_ref": "data",
"data": [
{
"id": "brd_0E603421F0a2fL1814",
"brand": {
"name": "Voucherify PSA",
"privacy_policy_url": null,
"terms_of_use_url": null,
"permission_reminder": "You are receiving this email because you opted in at our website.",
"website_url": "voucherify.io"
},
"address": {
"street": "Porcelanowa 23",
"city": "Katowice",
"postal": "40-246",
"state": null,
"country": "Poland"
},
"contact": {
"email": "support@voucherify.io",
"phone": null
}
}
],
"total": 1
}{
"code": 401,
"message": "Unauthorized",
"key": "unauthorized"
}{
"code": 402,
"message": "Payment required",
"details": "Your current plan does not include a feature required to perform this operation.",
"key": "missing_required_feature"
}{
"code": 404,
"message": "Resource not found",
"details": "Cannot find project with id proj_5itvDU7"
}Path Parameters
Provide the unique identifier of the project.
Example:
"proj_TrlkLiH4"
Response
Returns the details about the brand created in the project.
Object containing a list of brand configurations. It always contains one item.
The type of the object represented by JSON. This object stores information about the brand in a dictionary.
Available options:
list Identifies the name of the attribute that contains the array of brand objects.
Available options:
data Array of brand objects. It contains only one object.
Show child attributes
Show child attributes
The total number of brand objects. It is always 1.

